Bug 737088 - Include man pages in Matahari package
Summary: Include man pages in Matahari package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: matahari
Version: 6.2
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Russell Bryant
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-09-09 15:11 UTC by Russell Bryant
Modified: 2011-12-06 11:43 UTC (History)
1 user (show)

Fixed In Version: matahari-0.4.4-7.el6
Doc Type: Bug Fix
Doc Text:
Note that while the dbus agents are included in the Matahari packages, they are not supported in RHEL 6.2. Note that while kerberos is supported by Matahari agents in RHEL 6.2, there is no built-in method for automatically renewing kerberos credentials. This must be handled by the administrator using cron or some other similar solution.
Clone Of:
Environment:
Last Closed: 2011-12-06 11:43:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1569 normal SHIPPED_LIVE matahari bug fix and enhancement update 2011-12-06 00:39:06 UTC

Description Russell Bryant 2011-09-09 15:11:46 UTC
Description of problem:

A change was made to the Matahari build system fairly recently to generate man pages using hel2man.  These man pages needed to be included in the package.


Version-Release number of selected component (if applicable):

0.4.4-2

Comment 2 Russell Bryant 2011-09-09 19:15:23 UTC
Fixed upstream:

https://github.com/matahari/matahari/compare/a9c9596f21...4f85995997

Comment 3 Russell Bryant 2011-09-09 20:12:28 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Note that while the dbus agents are included in the Matahari packages, they are not supported in RHEL 6.2.

Comment 4 Russell Bryant 2011-09-19 15:00:05 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,3 @@
-Note that while the dbus agents are included in the Matahari packages, they are not supported in RHEL 6.2.+Note that while the dbus agents are included in the Matahari packages, they are not supported in RHEL 6.2.
+
+Note that while kerberos is supported by Matahari agents in RHEL 6.2, there is no built-in method for automatically renewing kerberos credentials.  This must be handled by the administrator using cron or some other similar solution.

Comment 6 Dave Johnson 2011-09-28 14:17:39 UTC
So 'man matahari-brokerd' worked but no mention of config files.  Would think we would want some mention of them.

The rest of them don't work though, see below, reopening for your review.  If fgets is required, then we probably need to require it in the spec file?

[root@pe6950-01 sbin]# man matahari-qmf-hostd
fgets: No such file or directory
Error reading man page /usr/share/man/man8/matahari-qmf-hostd.8.gz
No manual entry for matahari-qmf-hostd
[root@pe6950-01 sbin]# man matahari-qmf-serviced
fgets: No such file or directory
Error reading man page /usr/share/man/man8/matahari-qmf-serviced.8.gz
No manual entry for matahari-qmf-serviced
[root@pe6950-01 sbin]# man matahari-qmf-service-cli
fgets: No such file or directory
Error reading man page /usr/share/man/man8/matahari-qmf-service-cli.8.gz
No manual entry for matahari-qmf-service-cli
[root@pe6950-01 sbin]# man matahari-qmf-networkd
fgets: No such file or directory
Error reading man page /usr/share/man/man8/matahari-qmf-networkd.8.gz
No manual entry for matahari-qmf-networkd
[root@pe6950-01 sbin]# man matahari-qmf-sysconfigd
fgets: No such file or directory
Error reading man page /usr/share/man/man8/matahari-qmf-sysconfigd.8.gz
No manual entry for matahari-qmf-sysconfigd
[root@pe6950-01 sbin]# man matahari-qmf-sysconfig-consoled
fgets: No such file or directory
Error reading man page /usr/share/man/man8/matahari-qmf-sysconfig-consoled.8.gz
No manual entry for matahari-qmf-sysconfig-consoled
[root@pe6950-01 sbin]#

Comment 8 Dave Johnson 2011-10-11 22:04:16 UTC
Noticed a few discrepancies...

1) some of them are capped in the name and description:
       matahari-Networkd - Part of the Matahari suite of remote agents
       matahari-Sysconfigd - Part of the Matahari suite of remote agents

2) 'man matahari-qmf-networkd' shows the name as 'matahari-Networkd', thinking it should match and be 'matahari-qmf-networkd'?

3) 'man matahari-qmf-sysconfig-consoled' 
text over run, is that okay?  :

MATAHARI-SYSCONFIG-CONSOSystem Administration UtMATAHARI-SYSCONFIG-CONSOLED(8)

Comment 9 errata-xmlrpc 2011-12-06 11:43:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1569.html


Note You need to log in before you can comment on or make changes to this bug.